com.microfocus.awm.meta.interfaces.validation

## Interface ApplicationOptionsValidator

-     public interface ApplicationOptionsValidator

  A sample validator interface for `ApplicationOptions`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `validate()`
    `boolean` | `validateApplicationAction(org.eclipse.emf.common.util.EList<RApplicationAction> value)`
    `boolean` | `validateCacheElements(boolean value)`
    `boolean` | `validateCustomOption(org.eclipse.emf.common.util.EList<SpecificAttribute> value)`
    `boolean` | `validateDefaultGenericSymbol(java.lang.String value)`
    `boolean` | `validateEndReference(java.lang.String value)`
    `boolean` | `validateEXITPARM(java.lang.String value)`
    `boolean` | `validateGenericSymbols(org.eclipse.emf.common.util.EList<java.lang.String> value)`
    `boolean` | `validateIndependentAffectedResourceContexts(boolean value)`
    `boolean` | `validateLastEditClientVersion(java.lang.String value)`
    `boolean` | `validateMaxRC(int value)`
    `boolean` | `validateModelID(java.lang.String value)`
    `boolean` | `validateRootContainersAction(ActionDescriptor value)`
    `boolean` | `validateStartReference(java.lang.String value)`
    `boolean` | `validateVersion(double value)`
    `boolean` | `validateVersion(java.lang.String value)`

- - ### Method Detail

    - #### validate

          boolean validate()

    - #### validateCustomOption

          boolean validateCustomOption(org.eclipse.emf.common.util.EList<SpecificAttribute> value)

    - #### validateApplicationAction

          boolean validateApplicationAction(org.eclipse.emf.common.util.EList<RApplicationAction> value)

    - #### validateDefaultGenericSymbol

          boolean validateDefaultGenericSymbol(java.lang.String value)

    - #### validateEndReference

          boolean validateEndReference(java.lang.String value)

    - #### validateEXITPARM

          boolean validateEXITPARM(java.lang.String value)

    - #### validateGenericSymbols

          boolean validateGenericSymbols(org.eclipse.emf.common.util.EList<java.lang.String> value)

    - #### validateMaxRC

          boolean validateMaxRC(int value)

    - #### validateModelID

          boolean validateModelID(java.lang.String value)

    - #### validateRootContainersAction

          boolean validateRootContainersAction(ActionDescriptor value)

    - #### validateStartReference

          boolean validateStartReference(java.lang.String value)

    - #### validateVersion

          boolean validateVersion(java.lang.String value)

    - #### validateLastEditClientVersion

          boolean validateLastEditClientVersion(java.lang.String value)

    - #### validateIndependentAffectedResourceContexts

          boolean validateIndependentAffectedResourceContexts(boolean value)

    - #### validateCacheElements

          boolean validateCacheElements(boolean value)

    - #### validateVersion

          boolean validateVersion(double value)

Copyright © 2015 Micro Focus GmbH. All rights reserved.